Read a deployment operation and current workload verification
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/deployment-verifications/{operation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/deployment-verifications/{operation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/deployment-verifications/{operation_id} \
--header 'Authorization: Bearer <token>'{
"application_id": "<string>",
"operation_id": "<string>",
"installation_id": "<string>",
"cluster_id": "<string>",
"namespace": "<string>",
"operation_status": "<string>",
"state": "pending",
"message": "<string>",
"checked_at": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Applications
Read a deployment operation and current workload verification
Scoped live verification of the exact deployment operation and installation. Does not certify recovery or historical availability.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
deployment-verifications
/
{operation_id}
Read a deployment operation and current workload verification
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/deployment-verifications/{operation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/deployment-verifications/{operation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/deployment-verifications/{operation_id} \
--header 'Authorization: Bearer <token>'{
"application_id": "<string>",
"operation_id": "<string>",
"installation_id": "<string>",
"cluster_id": "<string>",
"namespace": "<string>",
"operation_status": "<string>",
"state": "pending",
"message": "<string>",
"checked_at": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Available options:
pending, passed, failed, unknown, superseded